Discover Government News

SUSE Container Update Advisory: suse/postgres
-----------------------------------------------------------------
Container Advisory ID : SUSE-CU-2023:3445-1
Container Tags        : suse/postgres:14 , suse/postgres:14-23.3 , suse/postgres:14.9 , suse/postgres:14.9-23.3
Container Release     : 23.3
Severity              : important
Type                  : security
References            : 1214806 1215888 1215889 CVE-2023-38545 CVE-2023-38546 CVE-2023-4641
-----------------------------------------------------------------

The container suse/postgres was updated. The following patches have been included in this update:

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2023:4024-1
Released:    Tue Oct 10 13:24:40 2023
Summary:     Security update for shadow
Type:        security
Severity:    low
References:  1214806,CVE-2023-4641
This update for shadow fixes the following issues:

- CVE-2023-4641: Fixed potential password leak (bsc#1214806).

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2023:4044-1
Released:    Wed Oct 11 09:01:14 2023
Summary:     Security update for curl
Type:        security
Severity:    important
References:  1215888,1215889,CVE-2023-38545,CVE-2023-38546
This update for curl fixes the following issues:

- CVE-2023-38545: Fixed a heap buffer overflow in SOCKS5. (bsc#1215888)
- CVE-2023-38546: Fixed a cookie injection with none file. (bsc#1215889)

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2023:4073-1
Released:    Fri Oct 13 11:40:26 2023
Summary:     Recommended update for rpm
Type:        recommended
Severity:    low
References:  
This update for rpm fixes the following issue:

- Enables build for all python modules (jsc#PED-68, jsc#PED-1988)


The following package changes have been done:

- login_defs-4.8.1-150400.10.12.1 updated
- libcurl4-8.0.1-150400.5.32.1 updated
- rpm-ndb-4.14.3-150400.59.3.1 updated
- shadow-4.8.1-150400.10.12.1 updated
- container:sles15-image-15.0.0-27.14.107 updated

SUSE: 2023:3445-1 suse/postgres Security Update

October 18, 2023
The container suse/postgres was updated

Summary

Advisory ID: SUSE-SU-2023:4024-1 Released: Tue Oct 10 13:24:40 2023 Summary: Security update for shadow Type: security Severity: low Advisory ID: SUSE-SU-2023:4044-1 Released: Wed Oct 11 09:01:14 2023 Summary: Security update for curl Type: security Severity: important Advisory ID: SUSE-RU-2023:4073-1 Released: Fri Oct 13 11:40:26 2023 Summary: Recommended update for rpm Type: recommended Severity: low

References

References : 1214806 1215888 1215889 CVE-2023-38545 CVE-2023-38546 CVE-2023-4641

1214806,CVE-2023-4641

This update for shadow fixes the following issues:

- CVE-2023-4641: Fixed potential password leak (bsc#1214806).

1215888,1215889,CVE-2023-38545,CVE-2023-38546

This update for curl fixes the following issues:

- CVE-2023-38545: Fixed a heap buffer overflow in SOCKS5. (bsc#1215888)

- CVE-2023-38546: Fixed a cookie injection with none file. (bsc#1215889)

This update for rpm fixes the following issue:

- Enables build for all python modules (jsc#PED-68, jsc#PED-1988)

The following package changes have been done:

- login_defs-4.8.1-150400.10.12.1 updated

- libcurl4-8.0.1-150400.5.32.1 updated

- rpm-ndb-4.14.3-150400.59.3.1 updated

- shadow-4.8.1-150400.10.12.1 updated

- container:sles15-image-15.0.0-27.14.107 updated

Severity
Container Advisory ID : SUSE-CU-2023:3445-1
Container Tags : suse/postgres:14 , suse/postgres:14-23.3 , suse/postgres:14.9 , suse/postgres:14.9-23.3
Container Release : 23.3
Severity : important
Type : security

Related News